Ratings

Ratings

8OAS 3.0

Fetch rating information. See Wiki

API Base URL
  • Server 1:https://api-qual.migros.ch

    Public Kong Gateway URL

Security
Kong-Api-Key (apiKey)

Kong key-auth authentication

basicAuth (http)

Basic authentication is a simple authentication scheme built into the HTTP protocol.
To use it, send your HTTP requests with an Authorization header that contains the word Basic
followed by a space and a base64-encoded string username:password.

Example: Authorization: Basic ZGVtbzpwQDU1dzByZA==

Additional Information
Contact MGB-UDP-Products-Services (arg_mgb-udp-products-services@mgb.ch)

Ratings

List all aggregated ratings of a given type

Returns the aggregated rating summaries for multiple items of a given type.

Similar to /ratings/{type}/{item_id} but supports fetching multiple item ratings in a single request.

get
https://api-qual.migros.ch/migros/products/v8/ratings/{type}/items

Query Parameters

item_idsstring

Comma separated list of item IDs you want the ratings from

langstring

Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Path Parameters

typestringrequired

Type of the item

Headers

Accept-Languagestring

Defines the language (de/fr/it/en) for this request as request header. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Response

200 application/json

Returned when successful

RatingSummaryCollection

A collection rating summaries.

rating_summariesarray[object]required

Aggregation with count and average of ratings for a given object.

This model is used to save ratings in the database and to display ratings of items (product, etc.) in the API.

Show Child Parameters
get/migros/products/v8/ratings/{type}/items
 
200 application/json

Get the aggregated rating for a single item

Returns the aggregated rating for a single item.

An item is composed composed of a type and an ID.

get
https://api-qual.migros.ch/migros/products/v8/ratings/{type}/{item_id}

Query Parameters

langstring

Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Path Parameters

typestringrequired

Type of the item, e.g. PRODUCT or MIGROS_SERVICE_PRODUCT

item_idstringrequired

ID of the item

Match pattern:^(?!items)[^/\.]+$

Headers

Accept-Languagestring

Defines the language (de/fr/it/en) for this request as request header. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Response

200 application/json

Returned when successful

RatingSummary

Aggregation with count and average of ratings for a given object.

This model is used to save ratings in the database and to display ratings of items (product, etc.) in the API.

averagenumber(float)
countinteger
item_idstring
modifiedstring(date-time)

Last modified date.

typestringrequired

Average rating on the given item.

get/migros/products/v8/ratings/{type}/{item_id}
 
200 application/json

AbstractCollection

A generic collection of elements.